## borgbackup2 2.0.0b19

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/borg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/borg.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/borg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/borg"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## borgbackup2 2.0.0b5

=== debian/changelog ===
borgbackup2 (2.0.0b5-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Prominently explain that we package a beta release
  * New upstream version 2.0.0b5
    + Drop patches fixdocs.patch and bash-completion-update.patch
    + Rebase patches
    + Require python3-platformdirs (>= 2.6)

  [ Vagrant Cascadian ]
  * Make the build reproducible (Closes: #1029807)

  [ Helmut Grohne ]
  * Only run some of the tests under fakeroot to avoid flakiness

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 01 Mar 2023 12:24:53 +0100

borgbackup2 (2.0.0b4-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve package documentation. Reported by Enrico Zini.

  [ Enrico Zini ]
  * Fixed unintentional glitch in README.source
  * Added comments to document the intentions of debian/rules snippets

  [ Helmut Grohne ]
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Upload to unstable.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 20 Jan 2023 11:02:46 +0100

borgbackup2 (2.0.0b4-2) experimental; urgency=medium

  * Recheck copyright of non-updated files. Thanks to Thorsten Alteholz.
  * Update bash completion for borg 2.x
  * Add borgbackup-is-borgbackup2 package. Thanks to Scott Kitterman.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 18 Jan 2023 13:12:47 +0100

borgbackup2 (2.0.0b4-1) experimental; urgency=medium

  * New upstream version 2.0.0b4 (Closes: #1028467)
  * gbp: change debian branch to debian/unstable
  * Change source package name to allow coinstallability with old version
  * add default salsa-ci.yml
  * Rename binary packages to add version suffix
  * Declaratively enable debhelper addons
  * Rebase second privacy patch
  * Update Vcs location
  * Stop forcing a SPHINXBUILD
  * Install the borg module on a non-standard path
  * Update Build-Depends for borg 2.x
  * Update Maintainer and Uploaders
  * Drop override_dh_clean
  * Rebuild documentation from source
  * Drop commented out code about vendored msgpack
  * Update copyright file
  * Update autopkgtests
  * Update debian/clean
  * Another patch for lintian's privacy tag
  * Avoid referencing an external mathjax
  * Fix documentation referencing a deleted command
  * Rename binaries adding a version suffix
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Rewrite debian/README.Debian and delete obsolete debian/NEWS

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 16 Jan 2023 09:32:00 +0100

borgbackup (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 10:17:45 +0100

borgbackup (1.2.2-2) unstable; urgency=medium

  * Add python3-pytest-benchmark to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Sep 2022 16:31:41 +0200

borgbackup (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to generate fixed _version.py file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 09:50:41 +0200

borgbackup (1.2.1-2) unstable; urgency=medium

  * Add patch to make sure we always correctly regenerate
    _version.py file (Closes: #1015052)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 19:03:13 +0200

borgbackup (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 20:17:00 +0200

borgbackup (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches now upstream:
    - 33519263ac3532d909863f4864fef23aa6f6b381,
    - 5937
    - system-msgpack (this one was commented but its now not needed anymore)
  * Refresh patches
  * Bump compat level to 13
  * Bump std-version to 4.6.0, no changes required
  * Add new dateutil dependency needed for tests
  * Add msgpack and pkgconfig python modules, needed for build
  * Drop version constraints, now already satisfied since o-o-stable
  * Add new python3-pyfuse3 dependency, meant to deprecate llfuse
  * Update copyright years
  * Add new runtime suggestion of pyfuse3
  * Skip another test needing fuse
  * Update copyright file for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Feb 2022 22:45:33 +0100

borgbackup (1.1.17-2) unstable; urgency=medium

  * debian/patches/5937.patch
    - cherry-pick upstream change to use system/bundled xxhash
      based on detection method.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 14:17:07 +0100

borgbackup (1.1.17-1) unstable; urgency=medium

  * New upstream release
  * Move to python3-packaging
  * debian/patches/33519263ac3532d909863f4864fef23aa6f6b381.patch:
    - cherry-pick upstream change to get rid of distutils.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jul 2021 12:27:31 +0200

borgbackup (1.1.16-3) unstable; urgency=medium

  * Demote fuse and python3-llfuse to Recommends, to avoid them
    being installed on systems where borg mount is not needed
    (Closes: #989271).
    Thanks Helmut Grohne for the patch and the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 May 2021 11:08:15 +0200

borgbackup (1.1.16-2) unstable; urgency=medium

  * Add fonts-liberation runtime dependency on -doc package to
    fix broken symlink.
    - Thanks Andreas Beckmann <anbe@debian.org> for the bug
      report and the fix! (Closes: #988679)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 May 2021 12:32:53 +0200

borgbackup (1.1.16-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release

  [ Andrej Shadura ]
  * Commit patch from Helmut

  [ Helmut Grohne ]
  * Annotate test dependencies <!nocheck> (Closes: #982818).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Mar 2021 17:51:49 +0200

borgbackup (1.1.15-3) unstable; urgency=medium

  * Tighteen xxhash dependency to make sure a recent enough
    version is found and used for build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2021 09:31:35 +0100


=== debian/control ===
Source: borgbackup2
Section: admin
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Helmut Grohne <helmut@subdivi.de>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               fakeroot,
               libacl1-dev,
               libb2-dev,
               libjs-bootstrap,
               liblz4-dev,
               libxxhash-dev,
               libssl-dev,
               libzstd-dev,
               python3-dev,
               python3-argon2,
               python3-packaging,
               python3-guzzle-sphinx-theme,
               python3-llfuse (>= 1.3.8) [!hurd-any],
               python3-llfuse (<< 2.0) [!hurd-any],
               python3-dateutil <!nocheck>,
               python3-msgpack (>= 1.0.3),
               python3-pkgconfig,
               python3-platformdirs (>= 2.6),
               python3-pyfuse3 [!hurd-any],
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://borgbackup.github.io/borgbackup/
Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
Vcs-Browser: https://salsa.debian.org/debian/borgbackup2

Package: borgbackup2
Architecture: any
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-llfuse (<< 2.0) [!hurd-any],
            python3-pyfuse3 [!hurd-any],
            fuse
Suggests: borgbackup2-doc
Description: deduplicating and compressing backup program (version 2.x)
 Borg is a deduplicating and compressing backup program. Optionally, it
 also supports authenticated encryption. It was forked from the attic
 backup program.
 .
 The main goal of Borg is to provide an efficient and secure way to
 backup data. The data deduplication technique used makes Borg suitable
 for daily backups since only the changes are stored. The authenticated
 encryption makes it suitable for backups to not fully trusted targets.
 .
 It can push backups to remote repositories accessed via ssh. A client
 pushing a backup invokes "borg serve" on the repository host. It is
 possible to restrict the ssh key to "borg serve" using the
 authorized_keys command= clause.
 .
 Please note that the server and the client should be on the same
 version of borgbackup. Using different versions of borgbackup on
 client and server might result in 'incompatible API version' error
 messages and a non-working backup. Borg 2.x can only read from Borg 1.x
 repositories.
 .
 While there is no direct operations mode for pull-type backups, you
 can configure the backup target in append-only mode, preventing the
 backup source from deleting or altering previous backups.
 .
 Warning: This still is a beta that may break compatibility with the
 final 2.0 release.

Package: borgbackup-is-borgbackup2
Architecture: any
Depends: ${misc:Depends}, borgbackup2 (= ${binary:Version})
Conflicts: borgbackup
Description: deduplicating and compressing backup program (unversioned symlink)
 This package makes the borg command refer to version 2.x of borgbackup.
 If you prefer version 1.x, please install borgbackup instead.
 .
 Refer to the package descriptions of borgbackup and borgbackup2 for more
 information about what borg is.
 .
 Warning: This still is a beta that may break compatibility with the
 final 2.0 release.

Package: borgbackup2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         fonts-liberation,
         libjs-bootstrap,
         libjs-mathjax,
Description: deduplicating and compressing backup program (documentation for version 2.x)
 Borg is a deduplicating and compressing backup program. Optionally, it
 also supports authenticated encryption. It was forked from the attic
 backup program.
 .
 The main goal of Borg is to provide an efficient and secure way to
 backup data. The data deduplication technique used makes Borg suitable
 for daily backups since only the changes are stored. The authenticated
 encryption makes it suitable for backups to not fully trusted targets.
 .
 It can push backups to remote repositories accessed via ssh. A client
 pushing a backup invokes "borg serve" on the repository host. It is
 possible to restrict the ssh key to "borg serve" using the
 authorized_keys command= clause.
 .
 This is the documentation package

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


# Do not install the borg package into the usual Python path:
#  * Upstream does not consider its API stable.
#  * We want to coinstall multiple versions of borg.
VERSION_SUFFIX=2
MODULE_DIR=/usr/lib/borgbackup$(VERSION_SUFFIX)
PACKAGE=borgbackup$(VERSION_SUFFIX)
SYMLINK_PACKAGE=borgbackup-is-borgbackup$(VERSION_SUFFIX)

# Full hardening for the cython build.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# pybuild: use pytest instead of auto-detection
#
# The autodetection failed on jessie, resulting in a failed
# build, since unittest does not support pytest's command
# line switches
export PYBUILD_TEST_PYTEST=1

# To display coverage information, add the following
# switches to PYBUILD_TEST_ARGS (Upstream does this)
#
# Note that this currently breaks unittests on jessie,
# because borg will trip over the unexpected coverage
# files.  Since this failure does not occur in stretch,
# this is likely due to an outdated version in jessie.
#
# --cov=borg --cov-config=../.coveragerc

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -- --install-dir=$(MODULE_DIR)

execute_after_dh_auto_build:
	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 setup.py build_usage
	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 setup.py build_man

execute_before_dh_installdocs-indep:
	$(MAKE) -C docs html

execute_before_dh_installman-arch:
	$(MAKE) -C docs man

# We run most of the tests in fakeroot to increase test coverage, but fakeroot
# introduces race conditions on its own.
TESTS_NO_FAKEROOT = benchmark.py cache.py checks.py key.py locking.py patterns.py remote.py repository.py shellpattern.py
override_dh_auto_test: export TZ=UTC # tests break in TZ=GMT+12, see https://github.com/borgbackup/borg/issues/5535
override_dh_auto_test: export LC_ALL=C.UTF-8
override_dh_auto_test:
	# fakeroot introduces race conditions to e.g. locking tests.
	dh_auto_test -- --test-args "--pyargs borg.testsuite -k '$(subst $(eval) $(eval), or ,$(TESTS_NO_FAKEROOT))'"
	# We cannot rely on the buildds allowing fuse to be
	# used, so we disable the fuse-mount tests.
	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"

execute_after_dh_install-arch:
	# Add the private module directory to sys.path in borg executables
	set -e; for f in debian/$(PACKAGE)/usr/bin/*; do \
		sed -i -e '5asys.path.insert(0, "$(MODULE_DIR)")' "$$f"; \
	done
ifneq (,$(VERSION_SUFFIX))
	# Rename executables using VERSION_SUFFIX, but create symlinked
	# versions for the borgbackup-is-borgbackup2 package
	set -e; for f in debian/$(PACKAGE)/usr/bin/*; do \
		mv "$$f" "$${f}$(VERSION_SUFFIX)"; \
		ln -s "$${f##*/}$(VERSION_SUFFIX)" "debian/$(SYMLINK_PACKAGE)$${f#debian/$(PACKAGE)}"; \
	done
	mv 'debian/$(PACKAGE)/usr/share/bash-completion/completions/borg' 'debian/$(PACKAGE)/usr/share/bash-completion/completions/borg$(VERSION_SUFFIX)'

execute_after_dh_installman-arch:
	# Fix manpage names to match executables
	set -e; for f in debian/$(PACKAGE)/usr/share/man/man1/*.1; do \
		v=$$(echo "$$f" | sed 's,^\(.*/[a-z]*\),&$(VERSION_SUFFIX),'); \
		mv "$$f" "$$v"; \
		ln -s "$${v##*/}.gz" "debian/$(SYMLINK_PACKAGE)$${f#debian/$(PACKAGE)}.gz"; \
	done
endif

override_dh_installdocs-arch:
	dh_installdocs --link-doc=borgbackup2

# Do not compress .ico file (affects html documentation)
override_dh_compress:
	dh_compress -X.ico -Xfonts

## borgbackup2 2.0.0b7

=== debian/changelog ===
borgbackup2 (2.0.0b7-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:01:05 +0000

borgbackup2 (2.0.0b7-2) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Cherry-pick upstream changes:
  * 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - pyproject.toml: exclude source files which have been compiled
  * cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - allow msgpack 1.0.7
  * 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - allow platformdirs 4
  * 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - use and require cython3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jan 2024 09:43:19 +0100

borgbackup2 (2.0.0b7-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 2.0.0b7
  * Refresh patches
  * Drop upstream patches:
    - lower_platformdirs.patch
    - 0001-Make-timestamps-in-manual-pages-reproducible.patch
    - 223d189ff7c6d684eb147b404fe2f84ed6742cbd.patch
  * Cherry-pick upstream pr 8021.patch
  * Add two missing files to fix testsuite
  * Exclude two new tests, calling borg binary directly

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jan 2024 11:05:55 +0100

borgbackup2 (2.0.0b5-3) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Add new files to clean target (Closes: #1043956)
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 18:01:46 +0100

borgbackup2 (2.0.0b5-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload (salsa.d.o/debian namespace)
  * Make pyfuse3 a suggested only package
  * Add patch to allow platformdirs up to version 5 (Closes: #1057197)
  * Refresh patches
  * Update upstream signing key from 1k to 4k
  * Bump copyright years
  * Bump std-version
  * Merge changes from borgbackup 1.2.4-3

  [ Simon Chopin ]
  * d/p/manifest-data-files: fix FTBFS due to missing data files
    (Closes: 1052875, #2039423)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 17:11:02 +0100

borgbackup (1.2.7-2) unstable; urgency=medium

  * Make pyfuse3 a suggested only package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Dec 2023 18:03:27 +0100

borgbackup (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch 0001*

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:46:03 +0100

borgbackup (1.2.6-2) unstable; urgency=medium

  * Rename NEWS file
  * Add back 7793.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 14:37:27 +0200

borgbackup (1.2.6-1) unstable; urgency=medium

  * New upstream release
    - fix for 1.2.5 regression
  * Drop patch 7793, use right tarball instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 23:46:14 +0200

borgbackup (1.2.5-4) unstable; urgency=medium

  * Revert "Add fuse3 dependency"
  * Reupload with also paperkey.html file to fix testsuite
  * Drop old NEWS file
  * Mention in NEWS.Debian compact (Closes: #1021840)
  * Mention in NEWS.Debian CVE-2023-36811 (Closes: #1050880)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 09:16:19 +0200

borgbackup (1.2.5-3) unstable; urgency=medium

  * debian/patches/7793.patch:
    - test build to add attic.tar.gz to pybuild directory

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2023 08:09:43 +0200

borgbackup (1.2.5-2) unstable; urgency=medium

  * Minimize signing key via gpg --armor --export --export-options
    export-minimal,export-clean
  * Add fuse3 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 19:14:26 +0200

borgbackup (1.2.5-1) unstable; urgency=high

  * New upstream release
    - Fix for CVE-2023-36811

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 17:33:11 +0200

borgbackup (1.2.4-3) unstable; urgency=medium

  * Add back fuse3 recommendation to unbreak docker images.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2023 18:50:50 +0200

borgbackup (1.2.4-2) unstable; urgency=medium

  * Drop old llfuse support, now pyfuse3 is used
    instead (suggested on irc)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Aug 2023 10:59:23 +0200

borgbackup (1.2.4-1) unstable; urgency=medium

  * Update upstream signing key from 1k to 4k
  * New upstream release
  * Update copyright years
  * Bump std-version to 4.6.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 15:45:19 +0100

=== debian/control ===
--- 
+++ 
@@ -19,20 +19,18 @@
                python3-argon2,
                python3-packaging,
                python3-guzzle-sphinx-theme,
-               python3-llfuse (>= 1.3.8) [!hurd-any],
-               python3-llfuse (<< 2.0) [!hurd-any],
                python3-dateutil <!nocheck>,
                python3-msgpack (>= 1.0.3),
                python3-pkgconfig,
                python3-platformdirs (>= 2.6),
-               python3-pyfuse3 [!hurd-any],
+#               python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
@@ -44,10 +42,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-llfuse (<< 2.0) [!hurd-any],
-            python3-pyfuse3 [!hurd-any],
-            fuse
-Suggests: borgbackup2-doc
+Recommends: fuse3
+Suggests: python3-pyfuse3 [!hurd-any], borgbackup2-doc
 Description: deduplicating and compressing backup program (version 2.x)
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	dh_auto_test -- --test-args "--pyargs borg.testsuite -k '$(subst $(eval) $(eval), or ,$(TESTS_NO_FAKEROOT))'"
 	# We cannot rely on the buildds allowing fuse to be
 	# used, so we disable the fuse-mount tests.
-	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"
+	fakeroot dh_auto_test -- --test-args "--pyargs borg.testsuite -k 'not fuse_mount and not test_fuse and not test_readonly_mount and not test_migrate_lock_alive and not test_with_socket and not test_socket_permissions $(foreach t,$(TESTS_NO_FAKEROOT),and not $(t))'"
 
 execute_after_dh_install-arch:
 	# Add the private module directory to sys.path in borg executables

## borgbackup2 2.0.0b8

=== debian/changelog ===
borgbackup2 (2.0.0b8-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:48 +1100

borgbackup2 (2.0.0b8-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:28:59 +0000

borgbackup2 (2.0.0b8-2) unstable; urgency=medium

  * Update build_usage and build_man make.py code location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 11:42:24 +0100

borgbackup2 (2.0.0b8-1) unstable; urgency=medium

  * New upstream version 2.0.0b8
  * Refresh patch 0001-Remove-codecov.io-and-travis-ci.org-badges.patch
  * Drop patches part of upstream codebase:
    - 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - 8021.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 09:47:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: borgbackup2
 Section: admin
 Priority: optional
-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: cython3,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -38,8 +38,8 @@
 	dh_auto_configure -- --install-dir=$(MODULE_DIR)
 
 execute_after_dh_auto_build:
-	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 setup.py build_usage
-	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 setup.py build_man
+	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 scripts/make.py build_usage
+	PYTHONPATH=$(wildcard ./.pybuild/*/build) python3 scripts/make.py build_man
 
 execute_before_dh_installdocs-indep:
 	$(MAKE) -C docs html

## borgbackup2 2.0.0b9

=== debian/changelog ===
borgbackup2 (2.0.0b9-2) unstable; urgency=medium

  * Revert "Require msgpack 1.1.0"
    - this is the high version allowed, not the lower version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 15:05:26 +0200

borgbackup2 (2.0.0b9-1) unstable; urgency=medium

  * Update signing-key
  * Update changelog file
  * Merge with borgbackup 1.4.0-1
  * New upstream version 2.0.0b9
  * Require msgpack 1.1.0
  * Bump std-version to 4.7.0
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 09:05:09 +0200

borgbackup (1.4.0-1) unstable; urgency=medium

  * Bump copyright years
  * Drop copyright entries for removed files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 00:17:05 +0200

borgbackup (1.2.8-1) unstable; urgency=medium

  * New upstream release 1.2.8
  * Update copyright years
  * Update upstream signing key

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Apr 2024 15:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: borgbackup2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: cython3,
                debhelper-compat (= 13),
@@ -31,7 +30,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git

## borgbackup2 2.0.0b12

=== debian/changelog ===
borgbackup2 (2.0.0b12-7) unstable; urgency=medium

  * Merge changes from borgbackup 1.4.0-3
    - Drop llfuse support, use pyfuse3 instead as default backend

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:05:29 +0200

borgbackup2 (2.0.0b12-6) unstable; urgency=medium

  * Team upload
  * Don't duplicate recommends in autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 13:04:03 +0200

borgbackup2 (2.0.0b12-5) unstable; urgency=medium

  * Fixup llfuse dependency, require at runtime both pyfuse3 and
    llfuse, not sure which one is the better,
    but borgbackup2 works with both. (LP: #2050515)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 12:57:40 +0200

borgbackup2 (2.0.0b12-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * switch also autopkgtests to fuse3
  * Fix previous upload, my git commit failed to commit the two
    chunks

  [ Colin Watson ]
  * Fix another chunk of simplesession test

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 09:22:15 +0200

borgbackup2 (2.0.0b12-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * cleanup mounts in case of test failure

  [ Colin Watson ]
  * Fixup test failure on fuse simplesession due to wrong
    path on compare/test commands (Closes: #1068563)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Oct 2024 16:34:24 +0200

borgbackup2 (2.0.0b12-2) unstable; urgency=medium

  * Add some more clean targets
  * Allow stderr messages on testsuite, upstream said borg logging
    defaults to stderr
  * Fixup a fuse test failure due to wrong syntax

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 13:30:39 +0200

borgbackup2 (2.0.0b12-1) unstable; urgency=medium

  * New upstream version 2.0.0b12
  * Update clean file
  * Allow stderr for autopkgtest, one print is done there
    (uptream informed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 12:02:46 +0200

borgbackup2 (2.0.0b11-3) unstable; urgency=medium

  * Merge entry for borgbackup 1.4.0-2
    - Drop pkg_resources runtime dependency (Closes: #1083319)
  * Update testsuite for deprecated rcreate/rlist commands

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:51:32 +0200

borgbackup2 (2.0.0b11-2) unstable; urgency=medium

  * Add borgstore new dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 12:37:01 +0200

borgbackup2 (2.0.0b11-1) unstable; urgency=medium

  * New upstream version 2.0.0b11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:45:19 +0200

borgbackup (1.4.0-3) unstable; urgency=medium

  * Bump std-version to 4.7.0
  * Drop llfuse support
  * Enable again pyfuse3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:03:51 +0200

borgbackup (1.4.0-2) unstable; urgency=medium

  * Drop pkg_resources, importlib is already used instead (Closes: #1083318)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:46:32 +0200

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,15 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
+               python3-borgstore,
                python3-packaging,
                python3-guzzle-sphinx-theme,
                python3-dateutil <!nocheck>,
+               python3-llfuse [!hurd-any],
                python3-msgpack (>= 1.0.3),
                python3-pkgconfig,
                python3-platformdirs (>= 2.6),
-#               python3-pyfuse3 [!hurd-any],
+               python3-pyfuse3 [!hurd-any],
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
@@ -38,12 +40,11 @@
 
 Package: borgbackup2
 Architecture: any
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: fuse3
-Suggests: python3-pyfuse3 [!hurd-any], borgbackup2-doc
+Recommends: fuse3, python3-pyfuse3 [!hurd-any]
+Suggests: borgbackup2-doc
 Description: deduplicating and compressing backup program (version 2.x)
  Borg is a deduplicating and compressing backup program. Optionally, it
  also supports authenticated encryption. It was forked from the attic

## borgbackup2 2.0.0b13

=== debian/changelog ===
borgbackup2 (2.0.0b13-2) unstable; urgency=medium

  * Fixup test files renaming

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 09:01:16 +0100

borgbackup2 (2.0.0b13-1) unstable; urgency=medium

  * New upstream version 2.0.0b13
  * Add new borghash dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2024 23:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
+               python3-borghash,
                python3-borgstore,
                python3-packaging,
                python3-guzzle-sphinx-theme,

## borgbackup2 2.0.0b14

=== debian/changelog ===
borgbackup2 (2.0.0b14-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:55:10 +0100

borgbackup2 (2.0.0b14-3) unstable; urgency=medium

  * Explictly runtime depend on borghash 0.1.0 due to non-retrocompatible
    change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Nov 2024 07:33:38 +0100

borgbackup2 (2.0.0b14-2) unstable; urgency=medium

  * debian/patches/0323c2f987a646c2c8595f48e4f0394f27fd369c.patch:
    - cherry-pick upstream change for borghash 0.1.0-1 compatiblity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2024 09:37:48 +0100

borgbackup2 (2.0.0b14-1) unstable; urgency=medium

  * New upstream version 2.0.0b14
  * Add a file to clean

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 12:26:29 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
-               python3-borghash,
+               python3-borghash (>= 0.1.0-1),
                python3-borgstore,
                python3-packaging,
                python3-guzzle-sphinx-theme,
@@ -43,6 +43,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-borghash (>= 0.1.0-1),
          ${shlibs:Depends}
 Recommends: fuse3, python3-pyfuse3 [!hurd-any]
 Suggests: borgbackup2-doc

## borgbackup2 2.0.0b17

=== debian/changelog ===
borgbackup2 (2.0.0b17-3) unstable; urgency=medium

  * Revert "Disable shell_completions_test.py, new and useless for now"
  * Add patch to fix testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 May 2025 19:26:26 +0200

borgbackup2 (2.0.0b17-2) unstable; urgency=medium

  * Drop file removed upstream in clean target
  * Disable shell_completions_test.py, new and useless for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 18:24:01 +0200

borgbackup2 (2.0.0b17-1) unstable; urgency=medium

  * Merge with 1.4.1-2
  * Allow backports for borghash and borgstore
  * Bump std-version to 4.7.2, no changes needed
  * Bump borgstore requirement
  * Also runtime-depend on correct borgstore
  * New upstream version 2.0.0b17
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 10:33:36 +0200

borgbackup2 (2.0.0b16-1) unstable; urgency=medium

  * New upstream version 2.0.0b16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:15:43 +0200

borgbackup2 (2.0.0b15-1) unstable; urgency=medium

  * New upstream version 2.0.0b15
  * Add new python3-sphinxcontrib.jquery dependency
  * Update borgstore build-dependency
  * Update copyright years
  * Refresh mathjax.patch
  * drop 0323c2f987a646c2c8595f48e4f0394f27fd369c.patch and
    35d7bb316cae277b97c247c91662caf1d7d5a006.patch: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 May 2025 21:30:49 +0200

borgbackup2 (2.0.0b14-4) unstable; urgency=medium

  * Add upstream patch to adapt for new borgstore 0.2.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Apr 2025 09:14:25 +0200

borgbackup (1.4.1-2) unstable; urgency=medium

   * Add fix from borgbackup2
   * Add new python3-sphinxcontrib.jquery dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 16:45:55 +0200

borgbackup (1.4.1-1) unstable; urgency=medium

  * New upstream release 1.4.1
  * Bump compyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:24:09 +0200

borgbackup (1.4.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add fixes for fakeroot tests from borgbackup2 (Closes: #1100201)

  [ Helmut Grohne ]
  * Force timezone during test suite
  * Skip unnecessary rebuild for testsuite
  * Actually export TZ for the test target. Thanks to Enrico Zini.
  * Only run some of the tests under fakeroot

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Mar 2025 12:34:44 +0100

borgbackup (1.4.0-4) unstable; urgency=medium

  * Fixup clean file (Closes: #1043841)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Oct 2024 07:53:32 +0200

## borgbackup2 2.0.0b18

=== debian/changelog ===
borgbackup2 (2.0.0b18-1) unstable; urgency=medium

  * New upstream version 2.0.0b18
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jun 2025 10:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
                libzstd-dev,
                python3-dev,
                python3-argon2,
-               python3-borghash (>= 0.1.0-1),
-               python3-borgstore,
+               python3-borghash (>= 0.1.0-1~),
+               python3-borgstore (>= 0.3.0-1~),
                python3-packaging,
                python3-guzzle-sphinx-theme,
+               python3-sphinxcontrib.jquery,
                python3-dateutil <!nocheck>,
                python3-llfuse [!hurd-any],
                python3-msgpack (>= 1.0.3),
@@ -33,7 +34,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
@@ -43,7 +44,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-borghash (>= 0.1.0-1),
+         python3-borghash (>= 0.1.0-1~),
+         python3-borgstore (>= 0.3.0-1~),
          ${shlibs:Depends}
 Recommends: fuse3, python3-pyfuse3 [!hurd-any]
 Suggests: borgbackup2-doc

## borgbackup2 2.0.0b19

=== debian/changelog ===
borgbackup2 (2.0.0b19-1) unstable; urgency=medium

  * New upstream version 2.0.0b19
    - fixes a corruption bug: https://github.com/borgbackup/borg/issues/8963

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 18:11:35 +0200

borgbackup2 (2.0.0b18-3) unstable; urgency=medium

  [ Simon Chopin ]
  * fix running unit tests in autopkgtests (Closes: #1110195, LP: #2118916)

  [ Gianfranco Costamagna ]
  * Team upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Aug 2025 13:58:15 +0200

borgbackup2 (2.0.0b18-2) unstable; urgency=medium

  * Merge borgbackup 1.4.1-4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Jul 2025 12:45:37 +0200

borgbackup (1.4.1-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Split the unit autopkgtest into a fuse one and one without.

  [ Helmut Grohne and Nicholas D Steeves]
  * Symlink debian/tests/unit-nofuse -> unit.  This autopkgtest leverages
    upstream's support to conditionally skip tests when dependencies are
    missing.  Compare the delta between unit and unit-nofuse's Depends to
    learn what may be required to create -nofuse autopkgtest variants for
    other packages.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Jul 2025 19:21:34 -0400

borgbackup (1.4.1-3) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Update debian/NEWS: Upstream introduced less alarming and easier to
    follow migration instructions in 1.2.8, and this is their officially
    supported procedure.
  * Git shortlog of Debian-facing upstream changes between upstream's 1.4.0 and
    1.4.1, (for trixie unblock):

    ecf2dfa17 build_usage / build_man [docs]
    1bed2155d update CHANGES
    3880c7e12 implement padme chunk size obfuscation (SPEC 250), fixes #8705
    49fa6c476 update CHANGES
    aba21ee18 freebsd: fix nfs4 acl processing, fixes #8756
    dddb6b155 fix remote repository exception handling / exit codes, fixes #8631
    0b6150c74 Fix paper key import error message
    11ac0cdc6 docs: theme fixes
    46c44b9d9 docs: fix template to support search result preview
    ecd797611 docs: add layout.html template from guzzle_sphinx_theme 0.7.11
    31784547b work around sudden failure of sphinx ini lexer
    8b1840640 Clearer language
    a21f08ac6 update CHANGES
    8ffd26300 set archive timestamps in local timezone
    3a932c587 Revert "Fix hourly prune test failure due to non-full-hour
              timezone"
    570c97eb1 run prune tests in specific full hour timezone
    7cf831609 quickfix to disallow running borg with assertions switched off
    8e6dc52a8 Fix #8522: Add {unixtime} placeholders (1.4-maint) (#8675)
    a1a028cef FAQ: Why are backups slow on a Linux server that is a member of a
              windows domain?
    fc0c799db docs: modify docs for automated backup to append to SYSTEMD_WANTS
              rather than overwrite
    5634e49fe docs: fix udev rule priority in automated-local.rst
    15ec434b5 docs: clarify requirements when using command line options with
              special characters within a shell #8628
    54e526cfc fix security policy: 1.4.x is security supported
    21c3b8688 it's 2025
    301aacecd docs: remove 3rd_party licenses
    cda01c7ba docs: add FAQ entry about pure-python msgpack warning, fixes #8323
    16e4b3087 binary readme: first check faq and existing issues
    d3b23b0e6 update CHANGES
    2dfb5d9a0 use Cython 3.0.11
    7d9028a22 mount docs: apply jdchristensen's suggestion, better phrasing.
    f0bd01b98 FAQ: Why is backing up an unmodified FAT filesystem slow on Linux?
    88ce37b73 update CHANGES
    a6dc8c52d check: more consistent messaging considering --repair, fixes #8533
    69151c7a1 support and test on Python 3.13
    4f794bbee config: reject additional_free_space < 10M, fixes #6066
    f0564036e yes: deal with UnicodeDecodeError in input(), fixes #6984
    09745d22f compact: support --dry-run (do nothing), fixes #8300
    e74c91285 config: fix acceptance of storage_quota 0, fixes #8499
    095b43ba3 docs: update install docs, nothing bundled anymore! fixes #8342.
    66e92636d Clarify  excluded and included flags for dry-run in borg the docs
    8fe9c5ed6 docs: Small changes regarding compression
    05837fbeb docs/FAQ: Clean up entries regarding SSH settings
    2230932c0 docs: borg/borgfs detects internally under which name it was
              invoked, fixes #8207
    cbbfc35db docs: mount: document on-demand loading, perf tips, fixes #7173
    cf472302d docs: better link modern return codes, fixes #8370
    272033121 Do not assert on diff if hard link sources are not found due to
              exclusions.
    2c1862007 fix WORKAROUNDS=authenticated_no_key support for archive TAM
              authentication, fixes #8400
    4f110f8bd Update repository URLs in docs to use new syntax Fixes #8361
    81cb1cdc5 Add quarterly pruning strategy. (#8337)
    938e144f8 Ensure that 0B changes are hidden from text diffs too.
    f7673e3f0 Add test to make sure 0-added,0-removed modified changes aren't in
              JSON output.
    6e9857b3e Remove 0-added,0-removed modified entries from JSON output.
    54c902474 docs: align /etc/backups path in all references
    adf2d8c04 remove outdated comment, fixes #4240
    85d7bdd75 improve borg check --repair healing tests, see #8302
    924952fcd Fix backwards compatibility of old chunks.archive.d file behavior
    f3c1444a4 Update docs for BORG_USE_CHUNKS_ARCHIVE
    0575f8758 Add BORG_USE_CHUNKS_ARCHIVE option
    0bd41ba65 Automatic rebuild cache on exception, fixes #5213 (#8257)
    b379202be docs: fix typo (backport #8272)

  [ Lee Garrett ]
  * Add myself to Uploaders.
  * Add missing end of sentence punctuation in the long description.
  * Update metadata (Vcs-Git/gbp.conf) to point to trixie branch.
  * Add unit tests to autopkgtests.

  [ Nicholas D Steeves ]
  * Additionally enable autopkgtest-pkg-python (see Debian Python Team for why


=== debian/control ===
--- 
+++ 
@@ -39,6 +39,8 @@
 Homepage: https://borgbackup.github.io/borgbackup/
 Vcs-Git: https://salsa.debian.org/debian/borgbackup2.git
 Vcs-Browser: https://salsa.debian.org/debian/borgbackup2
+Testsuite: autopkgtest-pkg-python
+# functional unit tests have been configured in debian/tests/unit
 
 Package: borgbackup2
 Architecture: any
@@ -115,4 +117,4 @@
  possible to restrict the ssh key to "borg serve" using the
  authorized_keys command= clause.
  .
- This is the documentation package
+ This is the documentation package.
